(Vmon)
; Draws a sliding glass door.
(Defun C:Sd (/ P1 P2 P3 P4 P5 A1 A2 A)
  (Setvar "Cmdecho" 0)
  (Initget 7)
  (Setq A (Getdist "\nEnter width of door: "))
  (Initget 1)
  (Setq P1 (Osnap (Getpoint "\nEnter insertion point of door: ") "Nea"))
  (Setvar "Lastpoint" P1)
  (Initget 1)
  (Setq P2 (Osnap (Getpoint "\nTouch point on opposite side of wall: ") "Per"))
  (Initget 1)
  (Setq P3 (Osnap (Getpoint
     "\nShow side of insertion point you wish to place door: ") "Nea"))
  (Setq A1 (Angle P1 P3))
  (Setq P3 (Polar P1 A1 A))
  (Setq A2 (Angle P1 P2))
  (Setq P4 (Polar P3 A2 (Distance P1 P2)))
  (Setq P5 (Polar P1 A1 (* A 0.75)))
  (Command "Break" P1 P3 "Break" P2 P4)
  (Command "Line" P1 P2 "" "Line" P3 P4 "" "Line" P1 P5 "")
  (Command "Line" (Polar P3 A2 2) (Polar (Getvar "Lastpoint") (+ Pi A1)
    (* A 0.75)) "")
  (Command "Insert" "Dinfo" (Polar P2 A1 (* 0.5 A)) (Getvar "Dimscale") "" "0")
  (Princ)
)
